Send SMSAsk AIpost https://api.naxai.com/sms/sendSend SMSBody ParamsbatchIdstringlength ≤ 64An identifier for the batch sending.toarray of stringsrequiredlength between 1 and 1000A list of phone numbers (max 1000)to* stringADD stringbodystringrequiredlength ≤ 2000The message content. Can be a text or unicode content depending on 'type'.fromstringlength ≤ 15The name or number the message should be sent from (Sender ID), can be omitted if Sender Service Id is used.senderServiceIduuidThe Sender Service Id to use when sending the message, when used override the from value.typestringenumDefaults to texttextunicodeautoAllowed:textunicodeautoscheduledAtintegerDate and time when the message must be sent in Unix time (epoch).validityinteger5 to 4320If set, the system will stop trying to deliver the message at this point. Validity period longer than 72h (4320 minutes) is not supported. Value in minutes.idempotencyKeystringlength ≤ 128An optional idempotency key ( max 128 characters long and supported characters: a-zA-Z0-9_- ).referencestringlength ≤ 128Your own reference used to identify message up to 128 characters. If set, the reference will be added in the delivery report.calendarIduuidUsed to set specific delivery window outside of which messages won't be delivered. See 'Calendars' to define Time WindowsmaxPartsinteger1 to 30Number of max parts allowed when sending messages.truncatebooleanDefaults to falseIf set, the message is truncated to the maxParts value.truefalseHeadersx-versionstringDefaults to 2023-03-25The version of API, by default use the last version.Responses 202A successful request returning the messages created. 401Unauthorized request. Make sure that you provided the right credentials. 403Forbidden request. Make sure that you provided the right credentials. 409Conflict request. Duplicate idempotency key. 422The request is invalid. 429Too Many Requests.Updated 7 months ago